> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get meta information about live pages

> Get all the meta information such as name, url, channels, and SEO fields.



## OpenAPI

````yaml xm_v2 get /v2/pages/metadata
openapi: 3.0.0
info:
  version: 2.0.0
  description: >-
    fabric's Experiences (formerly known as XM) enables you to design,
    implement, and optimize omnichannel e-commerce experiences, without having
    to code. With XM, you can easily add parent and child categories through our
    intuitive UI to create your website navigation, and seamlessly integrate
    with our APIs    for dynamic navigation rendering on your store front. In
    addition, developers can implement agile design by creating reusable design
    components and use one set of data and APIs for every channel.
  title: Experiences v2 (XM v2)
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc/api-license
servers:
  - url: https://cdn.xm.fabric.inc/api
security: []
tags:
  - name: Pages
    description: >-
      XM Pages API allows you to fetch all the live pages, or a live page by a
      specific URL
  - name: Global Components
    description: >-
      XM Global Components API allows you to fetch all the live global component
      data
  - name: Menu
    description: XM Menu API allows you to fetch menus and their items
paths:
  /v2/pages/metadata:
    get:
      tags:
        - Pages
      summary: Get meta information about live pages
      description: >-
        Get all the meta information such as name, url, channels, and SEO
        fields.
      operationId: getLivePagesMetaV2
      parameters:
        - in: query
          name: channels
          description: Comma-separated list of channel IDs
          schema:
            type: string
            default: '12'
        - in: query
          name: size
          description: Number of records to be returned
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            default: 10
            maximum: 100
        - in: query
          name: startCursor
          description: Record pointer to get items after the specified record
          required: false
          schema:
            type: string
            minLength: 15
            maxLength: 15
            example: H796HJHGANLSADS
        - $ref: 35eb687d-fc12-42ed-8cef-ed1fa05c0c12
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                description: 200 response object
                properties:
                  size:
                    description: Number of records to be returned
                    type: integer
                    format: int32
                    minimum: 1
                    default: 10
                    maximum: 100
                    example: 10
                  nextCursor:
                    description: Record pointer to get items in the next data set
                    type: string
                    minLength: 15
                    maxLength: 15
                    example: H796HJHGANLSADS
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PageMetaData'
                example:
                  size: 10
                  nextCursor: H796HJHGANLSADS
                  data:
                    - id: 5f328bf0b7c15700071233b9
                      name: HomePage
                      updatedAt: '2021-09-09T21:03:29.617Z'
                      publishedAt: '2021-09-09T21:03:29.617Z'
                      metadata:
                        url: /home
                        channels:
                          - 00SZAU
                          - 02SZCA
                        seoFields:
                          title: SEO
                          description: SEO description
                          metadata:
                            - name: background-color
                              content: white
        '204':
          description: No live pages exist
        '500':
          description: Request was received but an internal error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: INTERNAL_SERVER_ERROR
                message: >-
                  An internal error occurred. If the issue persists please
                  contact support@fabric.inc.
components:
  schemas:
    PageMetaData:
      type: object
      description: Page metadata
      properties:
        id:
          type: string
          description: Page ID
        name:
          type: string
          description: Page name
        updatedAt:
          type: string
          format: date-time
          description: Timestamp of when the page was last updated
        publishedAt:
          type: string
          format: date-time
          description: Timestamp of when page was last published
        metadata:
          type: object
          description: Page metadata
          properties:
            url:
              type: string
              description: Page URL
            channels:
              type: array
              description: Page channels
              items:
                type: string
                description: Channel identifier
            seoFields:
              $ref: '#/components/schemas/SeoFields'
    Error:
      type: object
      description: Server error response object
      properties:
        code:
          type: string
          description: Code associated with the type of server error
        message:
          type: string
          description: Message associated with the server error
      required:
        - code
        - message
    SeoFields:
      type: object
      description: SEO fields
      properties:
        title:
          type: string
          description: SEO field name
        description:
          type: string
          description: SEO field description
        createdAt:
          type: string
          format: date-time
          description: Timestamp of SEO field creation
        updatedAt:
          type: string
          format: date-time
          description: Timestamp of when SEO field was last updated
        metadata:
          type: array
          description: list of metadata associated with the SEO field
          items:
            type: object
            description: Metadata associated with the SEO field
            properties:
              name:
                type: string
                description: Metadata name
              content:
                type: string
                description: Metadata content
              _id:
                type: string
                description: Virutal ID associated with the SEO field metadata
              createdAt:
                type: string
                format: date-time
                description: Timestamp of metadata creation
              updatedAt:
                type: string
                format: date-time
                description: Timestamp of when metadata was last updated
        _id:
          type: string
          description: Virtual ID associated with the SEO field

````